API Reference
List editable campaign content slots without exposing workflow definitions
Lists editable campaign content slots for a bounded public campaign without exposing workflow definitions.
GET
/v1/accounts/{accountGroupId}/campaigns/{campaignId}/content-slotsIntegration notes
Required API permission
campaigns:read.
Prerequisites
integration_api_key, account_group_access.
Parameters
accountGroupIdPathType: string
Account group ID that scopes the request.
Required
campaignIdPathType: string
Campaign ID that identifies the campaign to read or mutate.
Required
Request body
This endpoint does not define a request body.
Responses
200
Editable campaign content slots
Schema: CampaignContentSlotListSuccessResponse
400
Request validation failed
Schema: ValidationErrorResponse
401
Invalid or missing API key
Schema: ErrorResponse
403
Missing required permission
Schema: ErrorResponse
404
Resource not found
Schema: ErrorResponse
429
Rate limit exceeded
Schema: ErrorResponse
500
Internal server error
Schema: ErrorResponse
502
Upstream service error
Schema: ErrorResponse
Response examples
200 Example JSONCampaignContentSlotListSuccessResponse
{
"success": true,
"data": {
"items": [
{
"id": "507f1f77bcf86cd799439011",
"channel": "direct_message",
"label": "string",
"position": 25,
"channelPosition": 25,
"templateId": "507f1f77bcf86cd799439011"
}
]
},
"error": null,
"traceId": "507f1f77bcf86cd799439011"
}400 Example JSONValidationErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_ERROR",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}401 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}403 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}404 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}429 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}500 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}502 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}